SortCounting_JobFunctor< BV > Class Template Reference

Functor to process job batch (task). More...

## Public Types

typedef BV | bvector_type
typedef bvector_type::size_type | size_type

## Public Member Functions

| SortCounting_JobFunctor (const vector_char_type &seq_vect, unsigned k_size, size_type from, size_type to, rsc_sparse_vector_u32 &kmer_counts)
| constructor
| SortCounting_JobFunctor (const SortCounting_JobFunctor &func)
void | operator() ()
| Main logic (functor).

## Detailed Description

template<typename BV>
class SortCounting_JobFunctor< BV >

Functor to process job batch (task).

Examples
  xsample07.cpp.

Definition at line 478 of file xsample07.cpp.

## Member Typedef Documentation

## bvector_type

template<typename BV>

typedef BV SortCounting_JobFunctor< BV >::bvector_type

Examples
  xsample07.cpp.

Definition at line 481 of file xsample07.cpp.

## size_type

template<typename BV>

typedef bvector_type::size_type SortCounting_JobFunctor< BV >::size_type

Examples
  xsample07.cpp.

Definition at line 482 of file xsample07.cpp.

## Constructor & Destructor Documentation

## SortCounting_JobFunctor() [1/2]

template<typename BV>

SortCounting_JobFunctor< BV >::SortCounting_JobFunctor | ( | const vector_char_type & | seq_vect,
|  | unsigned | k_size,
|  | size_type | from,
|  | size_type | to,
|  | rsc_sparse_vector_u32 & | kmer_counts )

inline

constructor

Examples
  xsample07.cpp.

Definition at line 486 of file xsample07.cpp.

Referenced by SortCounting_JobFunctor().

## SortCounting_JobFunctor() [2/2]

template<typename BV>

SortCounting_JobFunctor< BV >::SortCounting_JobFunctor | ( | const SortCounting_JobFunctor< BV > & | func | ) |

inline

Definition at line 495 of file xsample07.cpp.

References SortCounting_JobFunctor().

## Member Function Documentation

## operator()()

template<typename BV>

void SortCounting_JobFunctor< BV >::operator() | ( |  | ) |

inline

Main logic (functor).

Examples
  xsample07.cpp.

Definition at line 502 of file xsample07.cpp.

References get_DNA_code(), get_kmer_code(), sort_count(), and bm::rsc_sparse_vector< Val, SV >::sync().

The documentation for this class was generated from the following file:

- xsample07.cpp